
# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Tests for an isolated Masters state mechanics.
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import unittest

from mapwoc.lib.scanconfiguration import ScanRun
from mapwoc.lib.scanconfiguration import ScanConfiguration
from mapwoc.lib.scanconfiguration import VisitorBundle
from mapwoc.lib.trivialresponse import TrivialResponse

from mapwoc.masterctrl.master import Master

class MasterTest(unittest.TestCase):
    
    def testmasteristart(self):
        master = Master('', '.', '', 'tmp', '', 1111, True)
        # Emulate that a scan is started.

    def testMasterStartScan(self):
        master = Master('', '.', '', 'tmp', '', 1111, True)
        conf = ScanConfiguration('myscan')
        # Master without nodes cannot start a scan.
        started = master.start_scan(conf)
        master_state = master.state()
        master.check_state_polls()
        self.assertFalse(started, "Master without node cannot start scan.")

